cURL
curl --request GET \
--url https://api.brightdata.com/datasets/snapshots/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/datasets/snapshots/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/datasets/snapshots/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"status": "scheduled",
"dataset_id": "<string>",
"customer_id": "<string>",
"dataset_size": 123,
"file_size": 123,
"cost": 123,
"error": "<string>",
"error_code": "<string>",
"warning": "<string>",
"warning_code": "<string>",
"initiation_type": "<string>"
}"snapshot not found"Dataset API
Get snapshot metadata
Use the Bright Data Marketplace Dataset API to get Snapshot Metadata. Spans 250+ domains in the Bright Data marketplace.
GET
/
datasets
/
snapshots
/
{id}
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer YOUR_API_KEY
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
A Snapshot ID is a unique identifier for a specific data snapshot, used to retrieve results from a data collection job triggered via the API. Read more about Snapshot ID.
Example:
"snap_m2bxug4e2o352v1jv1"
Response
OK
Available options:
scheduled, building, ready, failed Number of records in the snapshot
Size of the snapshot file in bytes
Was this page helpful?